| Home | Libraries | People | FAQ | More

## Struct template make_bs_set_member_hook

boost::intrusive::make_bs_set_member_hook

## Synopsis

    // In header: <boost/intrusive/bs_set_hook.hpp>

    template<class... Options>
    struct make_bs_set_member_hook {
      // types
      typedef unspecified            implementation_defined;
      typedef implementation_defined type;

      // public member functions
       BOOST_STATIC_ASSERT(((int) packed_options::link_mode!=(int) auto_unlink));
      < hook_defaults, O1, O2, O3 >::type packed_options;  // @ typedef typename pack_options
    };

## Description

Helper metafunction to define a `bs_set_member_hook` that yields to the same type when the same options (either explicitly or implicitly) are used.

### `make_bs_set_member_hook` public member functions

1.      BOOST_STATIC_ASSERT(((int) packed_options::link_mode!=(int) auto_unlink));